# Google Local Services Ads leads

Returns the Google Local Services Ads leads. Works with Google Ads.

```http
GET https://api.pozy.ai/v1/ads/local-services/leads
```

- Area: Ads / Ad Insights
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string, required)
- `adAccountId` (string)
- `customerId` (string)
- `fromDate` (string (date))
- `toDate` (string (date))
- `leadType` (string): one of PHONE_CALL, MESSAGE, BOOKING
- `leadStatus` (string)
- `chargedOnly` (boolean)
- `pageToken` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/ads/local-services/leads?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/local-services/leads?accountId=696e0b682d0a31188e7a2ba9", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/ads/local-services/leads",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `customerId`, string
- `data`, array of object
  - `id`, string: Can be null
  - `leadType`, string: Can be null
  - `categoryId`, string: Can be null
  - `serviceId`, string: Can be null
  - `contact`, object: Can be null
    - `consumerName`, string: Can be null
    - `email`, string: Can be null
    - `phoneNumber`, string: Can be null
  - `status`, string: Can be null
  - `createdTime`, string: Can be null
  - `locale`, string: Can be null
  - `charged`, boolean
  - `creditState`, string: Can be null
  - `creditStateLastUpdate`, string: Can be null
- `paging`, object
  - `nextPageToken`, string: Can be null

```json
{
  "customerId": "691909ff82eb5ed7c816716d",
  "data": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "leadType": "string",
      "categoryId": "6636a72cdd6d96f988ff2075",
      "serviceId": "658273c3d08bfdd038b9e02f",
      "contact": {
        "consumerName": "Acme",
        "email": "alex@example.com",
        "phoneNumber": "+14155550123"
      },
      "status": "active",
      "createdTime": "string",
      "locale": "en",
      "charged": true,
      "creditState": "string",
      "creditStateLastUpdate": "2026-10-02T09:00:00.000Z"
    }
  ],
  "paging": {
    "nextPageToken": "string"
  }
}
```
